View Issue Details

IDProjectCategoryExploit/GlitchLast Update
0004027Battlefield 1Input / ControlsNo2017-09-12 17:54
Reporterzwolseballetjes 
SeverityMajorReproducibilityAlways 
Status ConfirmedResolutionOpen 
PlatformPCOSWindows 
Product VersionUpdate 20062017 - Nivelle Nights Update 
Fixed in Version 
Summary0004027: Self repair tank is not working
DescriptionSelf repair tank ( X Botton) is not working anymore. Yesterday i was playing in the Howitzer tank and suddenly my self repair was not working anymore, Today i have reset my key bindings, repair the game and install the game again. not 1 of this solutions solve the problem. I have test in CTE and there i not have this problem and the self repair works good.

Relationships

related to 0003961 Investigating No Repair Tool when spawning in any vehicle 

Activities

Icetea1935

2017-07-05 18:25

User
  ~0004451

Same problem here

Soepoog22

2017-07-05 18:47

User
  ~0004452

Today i notice this problem. The self repair with plains eork good only with the tanks not!!! Pls fix this

Armand Neculai

2017-07-05 21:03


  ~0004459

Can you provide a video of this issue ? i was unable to reproduce it

zwolseballetjes

2017-07-06 07:17

User
  ~0004465

this is the video, https://youtu.be/Qy8etTpj9nw

jimbojnr81

2017-07-06 07:47

User
  ~0004466

Last edited: 2017-07-06 07:48

View 2 revisions

that looks similar to this issue https://www.bftracker.com/view.php?id=3961

if you get out of the tank do you have a repair tool?

zwolseballetjes

2017-07-06 09:04

User
  ~0004467

i have test it now and i have no repair tool when i am out of the tank. So maybe that is the problem because you have no repair tool so you cant repair the tank when you inside it.

TrackerBugger

2017-07-06 14:42

User
  ~0004468

If server is in preround its totally messed up and bugged nothing works like it should.
See here:https://www.bftracker.com/view.php?id=3780

zwolseballetjes

2017-07-09 14:02

User
  ~0004490

What is the status of this problem/bug? 90% of the time i use a tank and with this bug iam unable to play the game.

zwolseballetjes

2017-07-12 15:27

User
  ~0004514

What is the status of this bug/problem???

zwolseballetjes

2017-07-13 15:01

User
  ~0004522

when this bug is fix?? i cant repair any tank !!!!!

Armand Neculai

2017-07-13 16:40


  ~0004526

In the attached video i have only seen that occurs while pre-round is active . Did you encounter this during actual gameplay?

zwolseballetjes

2017-07-13 16:54

User
  ~0004529

I make the video in an empty server becsuse i can spawn in a tank direct. When iam in a full server i got the same problem, no self repair in the tank en when i go outside the tank i not have an repair tool but 2 grenades

zwolseballetjes

2017-07-13 17:33

User
  ~0004530

this is a new video during actual gameplay , only the quick repair work not the self repair
https://youtu.be/JHomyNu6nDQ

Armand Neculai

2017-07-14 19:41


  ~0004533

You have the same gadget twice, your repair tool is missing . This is what causes the repair not to work . The two gadget issues is known . Additional issues related to this will be fixed once the two gadget issue will be resolved

zwolseballetjes

2017-07-14 20:53

User
  ~0004535

Ok thanks. I hope this will be solved soon becsuse 90% of the time i use the tank. Now its suicide to use the tank.

zwolseballetjes

2017-07-25 14:57

User
  ~0004615

When is this bug fix?

zwolseballetjes

2017-07-30 07:49

User
  ~0004658

When is this bug fix? Iam not the only one who has this problem. https://forums.battlefield.com/en-us/discussion/117149/missing-wrench-in-my-tanks-drivers-layout-could-not-repair-vehicle-inside-for-months#latest

zwolseballetjes

2017-08-05 20:12

User
  ~0004702

what is the status of this bug??

zwolseballetjes

2017-08-16 18:12

User
  ~0004822

What is the status of this bug?? Any change this bug get fix?

zwolseballetjes

2017-08-21 19:23

User
  ~0004861

With the august update this bug is still not fix. Is there any chance this bug get fix this year??

jimbojnr81

2017-08-22 09:46

User
  ~0004871

Last edited: 2017-08-22 09:47

View 2 revisions

i wouldn't hold your breath, it doesn't effect enough people for EA to care. Seems to just be a few of us.

zwolseballetjes

2017-08-27 15:53

User
  ~0004949

pls look at this video. https://www.youtube.com/watch?v=zL1K7BmYZh4
This player has the same problem as me and now hi have is wrench back,
see also https://forums.battlefield.com/en-us/discussion/117149/missing-wrench-in-my-tanks-drivers-layout-could-not-repair-vehicle-inside-for-months#latest

zwolseballetjes

2017-09-12 17:54

User
  ~0005101

It seems you guys cant fix this problem. Here is the solution. Go to an empty server. Spawn in a tank and step out of the tank. Then quit the game and go to an empty server which have calvery. Then select calvery and now you can change the loadout into 1 wrench and 1 AT grenade. Good luck boys.